#ifndef __UART_TASK_H__
#define __UART_TASK_H__

/**
 * @typedef struct DEMO_UART
 */
typedef struct DEMO_UART
{
    tls_os_queue_t *demo_uart_q;
    //    OS_STK *demo_uart_task_stk;
    int bandrate;
    TLS_UART_PMODE_T parity;
    TLS_UART_STOPBITS_T stopbits;
    char *rx_buf;
    int rx_msg_num;
    int rx_data_len;
} DEMO_UART_ST;

int uart0_demo(int bandrate, int parity, int stopbits);
int uart1_demo(int bandrate, int parity, int stopbits);
int uart2_demo(int bandrate, int parity, int stopbits);
int uart3_demo(int bandrate, int parity, int stopbits);
int uart4_demo(int bandrate, int parity, int stopbits);
int uart5_demo(int bandrate, int parity, int stopbits);

#endif
